## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl.Handler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.Handler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  XMLTypeResourceImpl

    public static class XMLTypeResourceImpl.Handler

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`protected XMLTypeResourceImpl.StackFrame` `stackFrame`

Constructor Summary
`XMLTypeResourceImpl.Handler(XMLTypeResourceImpl.StackFrame stackFrame)`

Method Summary
`void` `characters(char[] text, int start, int length)`
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` `error(org.xml.sax.SAXParseException exception)`
`void` `fatalError(org.xml.sax.SAXParseException exception)`
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stackFrame

    protected XMLTypeResourceImpl.StackFrame stackFrame

Constructor Detail

### XMLTypeResourceImpl.Handler

    public XMLTypeResourceImpl.Handler(XMLTypeResourceImpl.StackFrame stackFrame)

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.